Compare commits

..

No commits in common. "42ba33d46e1279ffa4c3a268b76bf67e631bad07" and "94bf38be753cf5b43a8583c8db6bf1cc29f37604" have entirely different histories.

12 changed files with 24 additions and 39 deletions

View file

@ -59,8 +59,7 @@ public_start() {
-localhost \ -localhost \
-alwaysshared \ -alwaysshared \
-securitytypes none \ -securitytypes none \
-nocursor \ -nocursor
-geometry 1600x900
else else
error "The VNC server is already running!" 4 error "The VNC server is already running!" 4
fi fi
@ -99,7 +98,7 @@ else
fi fi
# Main switch # Main switch
if echo "$verbs" | tr ' ' '\n' | grep -q "$arg"; then if echo "$verbs" | grep -q "$arg"; then
"public_${arg}" "public_${arg}"
else else
error_help error_help

View file

@ -23,7 +23,7 @@ public_usage() {
name="$(basename "$0")" name="$(basename "$0")"
cat << EOF cat << EOF
${name}: utilisation ${name}: utilisation
${name} start|status|stop|watch|restart NOM_SERVEUR ${name} start|status|stop|watch NOM_SERVEUR
${name} list|active|usage ${name} list|active|usage
EOF EOF
} }
@ -77,17 +77,10 @@ public_list() {
ls --color=auto ls --color=auto
} }
public_restart() {
set -e
stop "$@"
start "$@"
set +e
}
verb="$1" verb="$1"
shift shift
case "$verb" in case "$verb" in
start|status|stop|watch|active|list|usage|restart) start|status|stop|watch|active|list|usage)
"public_${verb}" "$@" "public_${verb}" "$@"
;; ;;
"") "")

1
bin/webcord Symbolic link
View file

@ -0,0 +1 @@
waylectron

View file

@ -1 +1,2 @@
--enable-features=WaylandWindowDecorations
--ozone-platform-hint=auto --ozone-platform-hint=auto

View file

@ -1 +0,0 @@
electron-flags.conf

View file

@ -8,5 +8,5 @@ italic_font auto
bold_italic_font auto bold_italic_font auto
# Opacity # Opacity
background_opacity 0.9 background_opacity 0.8

View file

@ -10,7 +10,7 @@ addpath() {
} }
addpath ~/.local/bin addpath ~/.local/bin
addpath ~/.local/share/qemu/bin addpath ~/.local/share/minecraft/servers/bin
# Fastfetch # Fastfetch
fastfetch fastfetch

View file

@ -1,12 +0,0 @@
#!/bin/sh -ex
name="$(basename "$0")"
cd "$(dirname "$(readlink -f "$0")")/.."
exec screen -S "QEMU : ${name}" -d -m qemu-system-x86_64 \
-monitor stdio -enable-kvm -vnc :1 \
-cpu host -smp "$(nproc)" \
-m 4G \
-drive "file=images/$(basename "$0").qcow2,if=virtio" \
-net nic -net "user,hostname=${name}" \
-name "$name" \
"$@"

View file

@ -1,16 +1,17 @@
#!/bin/sh -ex #!/bin/sh -ex
name="$(basename "$0")" realpath="$(readlink -f "$0")"
cd "$(dirname "$(readlink -f "$0")")/.." realname="$(basename "$realpath")"
exec screen -S "QEMU : ${name}" -d -m qemu-system-x86_64 \ cd "$(dirname "$realpath")/.."
exec screen -S "QEMU : ${realname}" -d -m qemu-system-x86_64 \
-monitor stdio -enable-kvm -display gtk,zoom-to-fit=on \ -monitor stdio -enable-kvm -display gtk,zoom-to-fit=on \
-bios /usr/share/edk2/x64/OVMF_CODE.fd \ -bios /usr/share/edk2/x64/OVMF_CODE.fd \
-usb -device usb-ehci,id=ehci -device usb-host,bus=ehci.0,vendorid=1452 \ -usb -device usb-ehci,id=ehci -device usb-host,bus=ehci.0,vendorid=1452 \
-cpu host -smp "$(nproc)" \ -cpu host -smp "$(nproc)" \
-m 4G \ -m 4G \
-drive "file=images/$(basename "$0").qcow2,if=virtio" \ -drive "file=images/$(basename "$0").qcow2,if=virtio" \
-net nic -net "user,hostname=${name}" \ -net nic -net "user,hostname=${realname}" \
-audiodev pa,id=snd0 -device ich9-intel-hda -device hda-output,audiodev=snd0 \ -audiodev pa,id=snd0 -device ich9-intel-hda -device hda-output,audiodev=snd0 \
-usbdevice tablet \ -usbdevice tablet \
-name "$name" \ -name "$realname" \
"$@" "$@"

View file

@ -1,11 +1,13 @@
#!/bin/sh #!/bin/sh
if cd ~/git; then if cd "${1:-${HOME}/Git}"; then
for repo in *; do for repo in *; do
cd "$repo" || continue cd "$repo" || continue
printf '\n%s\n' "$repo" printf '\n%s\n' "$repo"
git pull git pull
cd .. cd ..
done done
elif [ -z "$1" ]; then
exec "$0" ~/git
else else
>&2 echo "Can't find your git folder!" >&2 echo "Can't find your git folder!"
fi fi

View file

@ -0,0 +1,3 @@
#!/bin/sh
nvim +PackerUpdate +qall

View file

@ -1,9 +1,7 @@
#!/bin/sh #!/bin/sh
cd cd
eval "$(ssh-agent)" exec ssh-agent \
dbus-launch --exit-with-session xfwm4 & dbus-launch --exit-with-session \
artix-pipewire-loader & xfwm4 &
st artix-pipewire-loader
wait
ssh-agent -k